Better ListView Class Reference |

# Painter.ToIsotropicSize Method

Get size which best fits targetSize while preserving aspect ratio of sourceSize.

public static Size ToIsotropicSize(
Size sourceSize,
Size targetSize,
bool upscale,
bool fromOutside
);

#### Parameters

sourceSize
  source size
targetSize
  target size
upscale
  allow result size to be greater than source size
fromOutside
  allow result size to be greater that target size

#### Return Value

resulting size

#### See Also

Painter Class | ComponentOwl.BetterListView Namespace